Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Interface CMSAttributes

    public interface CMSAttributes

Field Summary
`static DERObjectIdentifier` | `contentHint`
`static DERObjectIdentifier` | `contentType`
`static DERObjectIdentifier` | `counterSignature`
`static DERObjectIdentifier` | `messageDigest`
`static DERObjectIdentifier` | `signingTime`

Field Detail

### contentType

    static final DERObjectIdentifier contentType

### messageDigest

    static final DERObjectIdentifier messageDigest

### signingTime

    static final DERObjectIdentifier signingTime

### counterSignature

    static final DERObjectIdentifier counterSignature

### contentHint

    static final DERObjectIdentifier contentHint

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD